<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>

<html>
<title>RPM-Aent Sales</title>
<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="rpmstyless.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[2].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}
</script>
</head>
<body style='font-family:calibri;font-size:small;'>
<div style='width=30%;height:100%%;'>
<?php


$flt=racs(1);
if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\Contact Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");


if(isset($_REQUEST['starts'])){
echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($_REQUEST['subregions'])){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

#$flt=racs(1);

if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}

stps('pr');
printf("<div class='sds'>");
dsrdash(1);
printf("</div>");
printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>TDO-Log Entry Book</div>");

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

printf("<div style='width:95%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");
printf("<form method='post' action='rpmdsrlog.php?actp=rpt%s'><table style='width:80%%;font-size:13;'>",$sprt);
$sqlst="select distinct rgs from (select distinct zone_orders as rds,regions as rgs from rc_invoices union select distinct zone_orders,regions from rc_targets order by rds) as zns";
$qry=mysqli_query($conn,$sqlst);

printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='regions' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$regions);
while($rst=mysqli_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=65%% align='right' style='color:grey;'>Search</td><td width=35%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");


printf("<table id='dt' style='width:100%%;color:black;font-size:13;border-collapse:collapse;'>");
printf("<tr style='text-align:right;'><td style='width:8%%;background:silver;border:1px solid white;text-align:center'>Date</td>
<td style='background:silver;border:1px solid white;text-align:center'>Agent</td>
<td style='background:silver;border:1px solid white;text-align:center'>Territroy</td>
<td style='background:silver;border:1px solid white;text-align:center'>Route</td>
<td style='background:silver;border:1px solid white;text-align:center' >P-Calls</td>
<td style='width:7%%;background:silver;border:1px solid white;text-align:center' >Rd-Gross</td>
<td style='width:7%%;background:silver;border:1px solid white;text-align:center'>Discount</td>
<td style='width:7%%;background:silver;border:1px solid white;text-align:center' align='center'>Free Issue</td>
<td style='width:8%%;background:silver;border:1px solid white;text-align:center' align='center'>Net Value</td>
<td style='background:silver;border:1px solid white;text-align:center' align='center'>Open</td></tr>");

$sqlst="select distinct invoice_number,agent_names,territory_names,dates,routes,sum(pcalls) as pcl,sum(pcs_qty*pcs_price) as gvl,sum(rtdiscount_values+wsdiscount_values) as disvl,sum(pcs_qty*pcs_price)-avg(discount_values)-sum(free_qtys*pcs_price),sum(free_qtys*pcs_price) as frvll from rd_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' group by agent_names,dates,invoice_number order by dates DESC";
$qry=mysqli_query($conn,$sqlst);

$pcl=0;
$gvll=0;
$disvl=0;
$netvl=0;
$frvl=0;

while($rst=mysqli_fetch_row($qry)){
$pcl=$pcl+$rst[5];
$gvll=$gvll+$rst[6];
$disvl=$disvl+$rst[7];
$frvl=$frvl+$rst[9];
$netvl=$netvl+$rst[6]-$rst[7]-$rst[9];

	
printf("<tr style='border-bottom:1px solid silver;'><td>%s</td><td>%s</td><td align='left'>%s</td><td align='left'>%s</td><td align='center'>%s</td><td align='right'>%s</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'><a href='rpmtdologitems.php?starts=%s&ends=%s&agents=%s&invoices=%s&terrys=%s' target='_blank'>Items</a></td></tr>",
$rst[3],$rst[1],$rst[2],$rst[4],number_format($rst[5],0,'.',','),number_format($rst[6],2,'.',','),
number_format($rst[7],2,'.',','),number_format($rst[9],2,'.',','),number_format($rst[8],2,'.',','),$starts,$ends,$rst[1],$rst[0],$rst[2]);
}

printf("<tr style='font-weight:bold;'><td></td><td>Region-Total</td><td></td><td></td><td align='center'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td></tr>",
number_format($pcl,0,'.',','),number_format($gvll,2,'.',','),number_format($disvl,2,'.',','),number_format($frvl,2,'.',','),number_format($netvl,2,'.',','));
printf("<tr style='font-weight:bold;'><td></td><td>Agent-Total</td><td></td><td></td><td align='center'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td></tr>",
number_format(0,0,'.',','),number_format(0,2,'.',','),number_format(0,2,'.',','),number_format(0,2,'.',','),number_format(0,2,'.',','));
printf("</table></div>");

}

?>

</div>
</body>
</html>